Subject: Re: bug#37914: guix avahi install fails

From: Bengt Richter <[email-masked]>
Date: Thu, 24 Oct 2019 23:17:50 -0700

Hi Tobias,

On +2019-10-25 04:13:14 +0200, Tobias Geerinckx-Rice wrote:
> Bengt,
> 
> Bengt Richter 写道：
> > patching file avahi-core/server.c
> > patching file avahi-core/server.c
> > Hunk #1 FAILED at 930.
> 
> You should ‘guix pull’ and try again: this was fixed on master a day or two
> ago.
> 
> I'm closing this bug for that reason.  Let me know if you still have
> problems with avahi.
> 
> Kind regards,
> 
> T G-R

Thanks, guix install avahi succeeded!  :)
And thereafter so did guix upgrade glibc-utf8-locales
And that in turn fixed the guile locale complaint triggered by guix's
use of guile (which guile directly invoked did not complain about).

I'd still like to know why avahi was involved in
guix install glibc-utf8-locales failing as I tried to show
in #bug37900, but after installing avahi, everything fell into place,
as just mentioned.

---------------------------------------------
$ guix describe
Generation 19	Oct 24 2019 22:37:20	(current)
  guix 6caa739
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: 6caa7392d8e51f5ef26e9efaa867ca5f9e1cac91
$ guix package -I 'avahi|locales'
glibc-locales	2.28	out	/gnu/store/bb9alx1ap57pz0vmx7p1r8qk0lxxfg3x-glibc-locales-2.28
avahi	0.7	out	/gnu/store/f7zmq1hffs9lrwkyyn88k5r399a7f8xh-avahi-0.7
glibc-utf8-locales	2.29	out	/gnu/store/n79cf8bvy3k96gjk1rf18d36w40lkwlr-glibc-utf8-locales-2.29
$ 
---------------------------------------------
Thanks again. Ok with me to close bug#37900,
even if you choose not to explain the avahi/locales entanglement shown there ;-)

A thought: When developers are working on a fix for something, is there a list of
pending fixes that one could have grepped to see that, oh, they're working on
e.g. avahi, I'll hold off posting a bug report. An ETA for the fix's commit would be
nice to have in that active pending-fixes list too (I know the entire bug archive is
a kind of pending-fix list, but most of that is not under active fixing ;-)
--
Regards,
Bengt Richter